Subject: Re: [PATCH net-next 4/7] net: dsa: free orig skb on rcv if reallocated

From: Andrew Lunn <[email-masked]>
Date: Tue, 30 May 2017 17:25:05 +0200

On Tue, May 30, 2017 at 10:21:28AM -0400, Vivien Didelot wrote:
> If the receive function of a tagger reallocated the SKB, the original
> SKB is currently not freed. Fix this and free it on both copy or error.

I don't see any of the receive functions reallocate the skb. It might
be better to just simplify the code to take away the option to return
a different skb.

  Andrew